Create a custom domain
curl --request POST \
--url https://api.lynkwell.com/notification/email/v1/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"defaultFrom": {
"email": "jsmith@example.com",
"name": "<string>"
},
"defaultReplyTo": {
"email": "jsmith@example.com",
"name": "<string>"
},
"subdomain": "<string>",
"customDkimSelector": "<string>"
}
'import requests
url = "https://api.lynkwell.com/notification/email/v1/domains"
payload = {
"domain": "<string>",
"defaultFrom": {
"email": "jsmith@example.com",
"name": "<string>"
},
"defaultReplyTo": {
"email": "jsmith@example.com",
"name": "<string>"
},
"subdomain": "<string>",
"customDkimSelector": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain: '<string>',
defaultFrom: {email: 'jsmith@example.com', name: '<string>'},
defaultReplyTo: {email: 'jsmith@example.com', name: '<string>'},
subdomain: '<string>',
customDkimSelector: '<string>'
})
};
fetch('https://api.lynkwell.com/notification/email/v1/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"domain": "<string>",
"defaultFrom": {
"email": "jsmith@example.com",
"name": "<string>"
},
"defaultReplyTo": {
"email": "jsmith@example.com",
"name": "<string>"
},
"dnsRecords": [
{
"valid": true,
"type": "<string>",
"host": "<string>",
"data": "<string>"
}
],
"status": "Processing",
"createdAt": 123,
"updatedAt": 123,
"subdomain": "<string>",
"customDkimSelector": "<string>"
}{
"name": "<string>",
"message": "<string>"
}{
"name": "<string>",
"message": "<string>"
}Custom Domain
Create a custom domain
Create a custom domain
POST
/
notification
/
email
/
v1
/
domains
Create a custom domain
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Custom domain created
Required string length:
1 - 255Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
Processing, Pending, Failed, Active, Validating Required string length:
1 - 255Required string length:
3